fsapfsinfo

NAME
fsapfsinfo - determines information about an Apple File System (APFS)

SYNOPSIS
fsapfsinfo [-B bodyfile] [-E identifier] [-f file_system_index] [-F path] [-F path] [-o offset] [-p password] [-r password] [-hvV] source

DESCRIPTION
fsapfsinfo is a utility to determine information about an Apple File System (APFS)

fsapfsinfo is part of the libfsapfs package. libfsapfs is a library to access the Apple File System (APFS) format

source is the source file.

The options are as follows:

-B bodyfile
    output file system information as a bodyfile

-E identifier
    show information about a specific file system entry or "all"

-f file_system_index
    show information about a specific file system or "all"

-F path
    show information about a specific file entry path

-h  shows this help

-H  shows the file system hierarchy

-o offset
    specify the volume offset

-p password
    specify the password

-r password
    specify the recovery password

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # fsapfsinfo -H -o 20480 image.dmg
    fsapfsinfo 20181214
    Apple File System (APFS) information:
    File system hierarchy:
    /{3e0077e4-eafa-495e-a8de-016284a49b29}/
    /{3e0077e4-eafa-495e-a8de-016284a49b29}/.fseventsd
        ...

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libfsapfs/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright 2018, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
fsapfsmount(1)